#include <X11/Xlib.h>
#include <X11/keysym.h>

#define X_RATIO	10
#define Y_RATIO 5


extern unsigned char LEFT,RIGHT,DOWN;
extern int GAME,PAUSE,SCORE;

int MOUSE_X,MOUSE_Y;

void ProcessMouseEvent(Display *disp,Window win,GC gc,XEvent *event)
{
	int NEW_X,NEW_Y;

	if (event->type == ButtonPress && event->xbutton.button == 1 && GAME && !PAUSE)
	{
		MOUSE_X=event->xbutton.x;
		MOUSE_Y=event->xbutton.y;
		return;
	}

	if (event->type == ButtonPress && event->xbutton.button == 3 && GAME && !PAUSE)
	{
		rotate_piece(disp,win,gc);
		return;
	}

	NEW_X=event->xmotion.x;
	NEW_Y=event->xmotion.y;
	if (NEW_X-MOUSE_X < -X_RATIO) move_left(disp,win,gc);
	if (NEW_X-MOUSE_X >  X_RATIO) move_right(disp,win,gc);
	if (NEW_Y-MOUSE_Y >  Y_RATIO) move_down(disp,win,gc);
	MOUSE_X=NEW_X;
	MOUSE_Y=NEW_Y;
}
